Summary: CD image format converter from .bin/.cue to .iso/.cdr
Name: bchunk
Version: 1.2.0
Release: 9%{?dist}
URL: http://he.fi/bchunk/
License: GPLv2+
Group: Applications/Archiving
Source0: http://he.fi/bchunk/bchunk-%{version}.tar.gz
Patch0: 01-track-size.dpatch
Patch1: bchunk-1.1.1-CFLAGS.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

%description
The bchunk package contains a UNIX/C rewrite of the BinChunker program.
BinChunker converts a CD image in a .bin/.cue format (sometimes .raw/.cue)
into a set of .iso and .cdr tracks.  The .bin/.cue format is used by some
non-UNIX CD-writing software, but is not supported on most other
CD-writing programs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 bchunk $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 bchunk.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README bchunk-%{version}.lsm
%{_bindir}/bchunk
%{_mandir}/man1/bchunk.1.gz

%changelog
* Wed Aug 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2.0-9
- Add Debian's patch to fix wrong file size calculations.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.0-5
- Clarify licence (GPLv2+).

* Mon Aug 28 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sat Feb 25 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.0-3
- rebuilt for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Wed Jun 30 2004 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.2.0-0.fdr.1
- Update to 1.2.0 (very minor feature add.)
- A few spec updates.

* Tue May  6 2003 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.1.1-0.fdr.3
- Don't strip-install files.
- Patch1: CFLAGS were hardcoded in the Makefile.

* Mon May  5 2003 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.1.1-0.fdr.1
- Update Red Hat's 1.0.0-7 rpm, adhere to Fedora package guidelines.

